export declare function EnsureIrcNick(nick: string): string;
export declare function EnsureIrcParam(input: string): string;
export declare function EnsureIrcFinalParam(input: string): string;
export declare class IrcMessage {
    prefix: string;
    verb: string;
    params: string[];
    constructor(prefix: string, verb: string, params: string[]);
    private ensureParts;
    toString(): string;
    finalParam(): string;
}
export declare function ParseIrcMessage(input: string): IrcMessage;
